## CamelLocalSettings

CamelLocalSettings

## Functions

const gchar * | camel_local_settings_get_path ()
gchar * | camel_local_settings_dup_path ()
void | camel_local_settings_set_path ()
gboolean | camel_local_settings_get_filter_all ()
void | camel_local_settings_set_filter_all ()
gboolean | camel_local_settings_get_filter_junk ()
void | camel_local_settings_set_filter_junk ()
gboolean | camel_local_settings_get_maildir_alt_flag_sep ()
void | camel_local_settings_set_maildir_alt_flag_sep ()

## Properties

gboolean | filter-all | Read / Write / Construct
gboolean | filter-junk | Read / Write / Construct
gboolean | maildir-alt-flag-sep | Read / Write / Construct
char * | path | Read / Write / Construct

## Types and Values

struct | CamelLocalSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelLocalSettings
                    ├── CamelMhSettings
                    ╰── CamelSpoolSettings

## Description

## Functions

### camel_local_settings_get_path ()

    const gchar *
    camel_local_settings_get_path (CamelLocalSettings *settings);

Returns the file path to the root of the local mail store.

#### Parameters

settings | a CamelLocalSettings |

#### Returns

the file path to the local store

Since: 3.4

### camel_local_settings_dup_path ()

    gchar *
    camel_local_settings_dup_path (CamelLocalSettings *settings);

Thread-safe variation of `camel_local_settings_get_path()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelLocalSettings |

#### Returns

a newly-allocated copy of “path”

Since: 3.4

### camel_local_settings_set_path ()

    void
    camel_local_settings_set_path (CamelLocalSettings *settings,
                                   const gchar *path);

Sets the file path to the root of the local mail store. Any trailing directory separator characters will be stripped off of the “path” property.

#### Parameters

settings | a CamelLocalSettings |
path | the file path to the local store |

Since: 3.4

### camel_local_settings_get_filter_all ()

    gboolean
    camel_local_settings_get_filter_all (CamelLocalSettings *settings);

Returns whether apply filters in all folders.

#### Parameters

settings | a CamelLocalSettings |

#### Returns

whether to apply filters in all folders

Since: 3.24

### camel_local_settings_set_filter_all ()

    void
    camel_local_settings_set_filter_all (CamelLocalSettings *settings,
                                         gboolean filter_all);

Sets whether to apply filters in all folders.

#### Parameters

settings | a CamelLocalSettings |
filter_all | whether to apply filters in all folders |

Since: 3.24

### camel_local_settings_get_filter_junk ()

    gboolean
    camel_local_settings_get_filter_junk (CamelLocalSettings *settings);

Returns whether to check new messages for junk.

#### Parameters

settings | a CamelLocalSettings |

#### Returns

whether to check new messages for junk

Since: 3.24

### camel_local_settings_set_filter_junk ()

    void
    camel_local_settings_set_filter_junk (CamelLocalSettings *settings,
                                          gboolean filter_junk);

Sets whether to check new messages for junk.

#### Parameters

settings | a CamelLocalSettings |
filter_junk | whether to check new messages for junk |

Since: 3.24

### camel_local_settings_get_maildir_alt_flag_sep ()

    gboolean
    camel_local_settings_get_maildir_alt_flag_sep
                                   (CamelLocalSettings *settings);

Returns, whether the Maildir provider should use alternative flag separator in the file name. When `TRUE`, uses an exclamation mark (!), when `FALSE`, uses the colon (:). The default is `FALSE`, to be consistent with the Maildir specification. The flag separator is flipped on the Windows build.

#### Parameters

settings | a CamelLocalSettings |

#### Returns

whether the Maildir provider should use an alternative flag separator

Since: 3.40

### camel_local_settings_set_maildir_alt_flag_sep ()

    void
    camel_local_settings_set_maildir_alt_flag_sep
                                   (CamelLocalSettings *settings,
                                    gboolean maildir_alt_flag_sep);

Sets whether Maildir should use alternative flag separator. See `camel_local_settings_get_maildir_alt_flag_sep()` for more information on what it means.

Note: Change to this setting takes effect only for newly created Maildir stores.

#### Parameters

settings | a CamelLocalSettings |
maildir_alt_flag_sep | value to set |

Since: 3.40

## Types and Values

### struct CamelLocalSettings

    struct CamelLocalSettings;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.4

## Property Details

### The `“filter-all”` property

      “filter-all”               gboolean

Whether to apply filters in all folders.

Owner: CamelLocalSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“filter-junk”` property

      “filter-junk”              gboolean

Whether to check new messages for junk.

Owner: CamelLocalSettings

Flags: Read / Write / Construct

Default value: TRUE

### The `“maildir-alt-flag-sep”` property

      “maildir-alt-flag-sep”     gboolean

Whether to use alternative flag separator in Maildir file name.

Owner: CamelLocalSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“path”` property

      “path”                     char *

File path to the local store.

Owner: CamelLocalSettings

Flags: Read / Write / Construct

Default value: NULL